Skip to main content
GET
/
verifications
/
{verification_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const verification = await client.verifications.retrieve('12ade33a-21c0-473b-b055-b3c836e1c292');

console.log(verification.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
verification = client.verifications.retrieve(
"12ade33a-21c0-473b-b055-b3c836e1c292",
)
print(verification.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
verification, err := client.Verifications.Get(context.TODO(), "12ade33a-21c0-473b-b055-b3c836e1c292")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", verification.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.verifications.VerificationRetrieveParams;
import com.telnyx.sdk.models.verifications.VerificationRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

VerificationRetrieveResponse verification = client.verifications().retrieve("12ade33a-21c0-473b-b055-b3c836e1c292");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

verification = telnyx.verifications.retrieve("12ade33a-21c0-473b-b055-b3c836e1c292")

puts(verification)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$verification = $client->verifications->retrieve(
'12ade33a-21c0-473b-b055-b3c836e1c292'
);

var_dump($verification);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx verifications retrieve \
--api-key 'My API Key' \
--verification-id 12ade33a-21c0-473b-b055-b3c836e1c292
curl --request GET \
--url https://api.telnyx.com/v2/verifications/{verification_id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "12ade33a-21c0-473b-b055-b3c836e1c292",
    "type": "sms",
    "record_type": "verification",
    "phone_number": "+13035551234",
    "verify_profile_id": "12ade33a-21c0-473b-b055-b3c836e1c292",
    "custom_code": "43612",
    "timeout_secs": 300,
    "status": "accepted",
    "created_at": "2020-09-14T17:03:32.965812",
    "updated_at": "2020-09-14T17:03:32.965812"
  }
}
{
"errors": [
{
"code": "10015",
"title": "Invalid sorting value",
"detail": "The value provided for sorting is not valid. Check the value used and try again.",
"source": {
"pointer": "/sort",
"parameter": "<string>"
},
"meta": {
"url": "https://developers.telnyx.com/docs/overview/errors/10015"
}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

verification_id
string<uuid>
required

The identifier of the verification to retrieve.

Example:

"12ade33a-21c0-473b-b055-b3c836e1c292"

Response

Expected verifications response to a valid request.

data
Verification · object
required